<?php
session_start();
require_once("config/configDB.php"); 
require "financial_year_calculation.php";

function validation_input($data) {
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    return $data;
}
if ($_SERVER["REQUEST_METHOD"] == "POST") {

    $invoice   = stripslashes($_POST['invoice']);
    //$tripedate      = stripslashes($_POST['internalprodate']);

    $tdate_temp         = new DateTime(stripslashes($_POST['internalprodate']));
    $internalprodate 	= $tdate_temp->format('Y-m-d');
    $vehicleid          = stripslashes($_POST['vehicleid']);
	
	 $driverid          = stripslashes($_POST['driverid']);
    $inchargeid           = stripslashes($_POST['inchargeid']);
    $previouskms           = stripslashes($_POST['previouskms']);
    $previoushrs           = stripslashes($_POST['previoushrs']);
	$preiousqty           = stripslashes($_POST['preiousqty']);
   
	
	
    $intakekm           = stripslashes($_POST['intakekm']);
    $intakehrs           = stripslashes($_POST['intakehrs']);
    $qty                = stripslashes($_POST['eqty']);
	$mileage                = stripslashes($_POST['mileage']);
	$hmileage                = stripslashes($_POST['hmileage']);
	$remarks                = stripslashes($_POST['remarks']);
    
    $accountyear    = $financialYearStart."-".$financialYearEnd;
    $createdate  	= date("Y-m-d");
    $createdby      = $_SESSION['username'];
    $userID         = $_SESSION['user_id'];
	
	
	$sql=mysqli_query($conn,"select * from employee_master where id='".$driverid."'");
	
	while($row=mysqli_fetch_array($sql))
	{
		$drivername=$row['ename'];
	}
	
	$sql1=mysqli_query($conn,"select * from employee_master where id='".$inchargeid."'");
	
	while($row1=mysqli_fetch_array($sql1))
	{
		$inchargename=$row1['ename'];
	}
	
	
	$sqlv=mysqli_query($conn,"select * from vehicle_master where id='".$vehicleid."'");
	
	while($rowv=mysqli_fetch_array($sqlv))
	{
		$vehicleno=$rowv['vehicleno'];
	}
	
	$autoinc=mysqli_query($conn,"ALTER TABLE internalpro_diesel CHANGE id id INT(11) NOT NULL AUTO_INCREMENT ");
	$autoinc2=mysqli_query($conn,"ALTER TABLE fill_diesel CHANGE id id INT(11) NOT NULL AUTO_INCREMENT ");
	$autoinc3=mysqli_query($conn,"ALTER TABLE total_litres CHANGE id id INT(11) NOT NULL AUTO_INCREMENT ");
	

    $sql_header  = "INSERT INTO internalpro_diesel (invoice, dieseldate,vehicleid, vehicleno,driverid,drivername,inchargeid,inchargename, previouskms ,previoushrs,preiousqty,intakekm,intakehrs,litres,mileage,hmileage,remarks,filling_type,accountyear,isdelete,createdby,userID,createdate) VALUES ('".$invoice."', '".$internalprodate."','".$vehicleid."', '".$vehicleno."','".$driverid."' ,'".$drivername."','".$inchargeid."','".$inchargename."','".$previouskms."','".$previoushrs."','".$preiousqty."','".$intakekm."','".$intakehrs."','".$qty."','".$mileage."','".$hmileage."','".$remarks."','fill', '".$accountyear."', '1','".$createdby."','".$userID."','".$createdate."')";
    
    mysqli_query($conn,$sql_header);
	
	
	$sql_header1  = "INSERT INTO fill_diesel (invoice,dieseldate,vehicleid, vehicleno,driverid,drivername,intakekm,intakehrs,litres,filling_type,accountyear,createdate,createdby,userID,isdelete) VALUES ('".$invoice."', '".$internalprodate."','".$vehicleid."', '".$vehicleno."','".$driverid."' ,'".$drivername."','".$intakekm."','".$intakehrs."','".$qty."','internalfill', '".$accountyear."','".$createdate."', '".$createdby."','".$userID."','1')";
    
    mysqli_query($conn,$sql_header1);
	
		$sql_header2  = "INSERT INTO total_litres (invoice,dieseldate,vehicleid, vehicleno,driverid,drivername,intakekm,intakehrs,litres,filling_type,accountyear,createdate,createdby,userID,isdelete) VALUES ('".$invoice."', '".$internalprodate."','".$vehicleid."', '".$vehicleno."','".$driverid."' ,'".$drivername."','".$intakekm."','".$intakehrs."','".$qty."','internalfill', '".$accountyear."','".$createdate."', '".$createdby."','".$userID."','1')";
    
    mysqli_query($conn,$sql_header2);
    
    header("Location:inDieselProDashboard.php");

}





?>